Subject: Re: [PATCH v4 14/16] powerpc: Use generic free_initrd_mem.

From: Shea Levy <[email-masked]>
Date: Sun, 01 Apr 2018 11:01:36 -0400

Hi Michael,

Michael Ellerman <[email-masked]> writes:

> Shea Levy <[email-masked]> writes:
>
>> Joe Perches <[email-masked]> writes:
>>
>>> On Wed, 2018-03-28 at 16:36 -0400, Shea Levy wrote:
>>>> Signed-off-by: Shea Levy <[email-masked]>
>>>
>>> Most people seem to want some form of commit message
>>> and not just your sign-off.
>>>
>>
>> Ah, if the subject is insufficient I can add some more detail.
>
> Yeah please do.
>
> Seeing this patch in isolation, with no change log, I might think it's
> safe for me to just apply it.
>
> But that would break the build because I don't have patch 1.
>
> So for starters you need to explain that part, eg something like:
>
>   A previous patch in the series added a weak definition of
>   free_initrd_mem() in init/initramfs.c.
>
>   The powerpc implementation is identical, so it can be removed allowing
>   the generic version to be used.
>
>
> Then you could also tell me if you did/didn't build/boot test it.

Thanks for the feedback, can you let me know if the recently posted v6
fits the bill?

> cheers

Thanks,
Shea